Subject: [alpine-devel] First build of ezstream package

From: Lionel Voirol <[email-masked]>
Date: Mon, 10 Mar 2014 12:09:28 +0200

Ezstream version 0.5.6 first package build
>From 8636969b8ab66d9b76ac4aefa1bb8d37e926d258 Mon Sep 17 00:00:00 2001
From: Lionel Voirol <[email-masked]>
Date: Mon, 10 Mar 2014 11:37:35 +0200
Subject: [PATCH] First version of new package ezstream

---
 testing/ezstream/APKBUILD | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)
 create mode 100644 testing/ezstream/APKBUILD

diff --git a/testing/ezstream/APKBUILD b/testing/ezstream/APKBUILD
new file mode 100644
index 0000000..ac1a5d4
--- /dev/null
+++ b/testing/ezstream/APKBUILD
@@ -0,0 +1,35 @@
+# Contributor: Lionel Voirol <[email-masked]>
+# Maintainer:
+pkgname=ezstream
+pkgver=0.5.6
+pkgrel=0
+pkgdesc="Ezstream is a command line source client for Icecast media streaming servers."
+url="http://www.icecast.org/ezstream.php"
+arch="all"
+license="GPL2"
+depends=""
+depends_dev="libshout-dev libxml2-dev libvorbis-dev"
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="http://downloads.xiph.org/releases/ezstream/ezstream-$pkgver.tar.gz"
+
+_builddir=$srcdir/$pkgname-$pkgver
+
+build() {
+	cd "$_builddir"
+	./configure \
+	--prefix=/usr \
+	|| return 1
+	make || return 1
+
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="1be68119d44fbe71454a901fa650a359  ezstream-0.5.6.tar.gz"
+sha256sums="818b7ab2a498ffe6e59155279cb79ed0291c4979210e99af6dda950fe54a30c0  ezstream-0.5.6.tar.gz"
+sha512sums="c9b22056612160b5d8a914abeea094dce83121378563307558af988438ad5b42e0e9b5434024f846b5e0151133b84e47fb11d54bf5df3ed9889aece82be9ef47  ezstream-0.5.6.tar.gz"
-- 
1.8.4.3

---

From: Natanael Copa <[email-masked]>
Date: Mon, 10 Mar 2014 14:24:13 +0100

On Mon, 10 Mar 2014 12:09:28 +0200

> Ezstream version 0.5.6 first package build

applied. thanks

-nc

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---